var wechatDemoApp = function () {

  this.checkClientInstalled = function () {
    Wechat.isInstalled(function (installed) {
		alert("Wechat installed: " + (installed ? "Yes" : "No"));
	}, function (reason) {
		alert("Failed: " + reason);
	})
  };

  this.ssoLogin = function () {
    var scope = "snsapi_userinfo",
    state = "_" + (+new Date());
	Wechat.auth(scope, state, function (response) {
		// you may use response.code to get the access token.
		updateMsgInfo(JSON.stringify(response));
	}, function (reason) {
		alert("Failed: " + reason);
	});
  };

  this.logout = function () {

  };

  this.shareText = function () {
    Wechat.share({
		text: "This is just a plain string",
		scene: Wechat.Scene.TIMELINE   // share to Timeline
	}, function () {
		alert("Success");
	}, function (reason) {
		alert("Failed: " + reason);
	});
  };

  this.shareImage = function () {
    Wechat.share({
		message: {
			title: "Hi, shareImage",
			description: "This is description.",
			thumb: "www/img/thumbnail.png",
			mediaTagName: "TEST-TAG-001",
			messageExt: "这是第三方带的测试字段",
			messageAction: "<action>dotalist</action>",
			media: {"title":"测试分享图片","description":"测试一下。","type":7,"webpageUrl":"http://www.spdkey.com/"}
		},
		scene: Wechat.Scene.TIMELINE   // SESSION:  0, // 聊天界面        TIMELINE: 1, // 朋友圈        FAVORITE: 2  // 收藏
	}, function () {
		alert("Success");
	}, function (reason) {
		alert("Failed: " + reason);
	});
  };


  this.shareNews = function () {
    Wechat.share({
		message: {
			title: "Hi, shareNews",
			description: "This is description.",
			media: {
				type: Wechat.Type.WEBPAGE,
				webpageUrl: "http://tech.qq.com/zt2012/tmtdecode/252.htm"
			}
		},
		scene: Wechat.Scene.TIMELINE   // share to Timeline
	}, function () {
		alert("Success");
	}, function (reason) {
		alert("Failed: " + reason);
	});
  };

  this.sendPay = function () {
    var params = {
		partnerid: '10000100', // merchant id
		prepayid: 'wx201411101639507cbf6ffd8b0779950874', // prepay id
		noncestr: '1add1a30ac87aa2db72f57a2375d8fec', // nonce
		timestamp: '1439531364', // timestamp
		sign: '0CB01533B8C1EF103065174F50BCA001', // signed string
	};

	Wechat.sendPaymentRequest(params, function () {
		alert("Success");
	}, function (reason) {
		alert("Failed: " + reason);
	});
  };

  this.chooseCard = function () {
    var params = {
		timeStamp: '1510198391', // timeStamp
		signType: 'SHA1', // sign type
		cardSign: 'dff450eeeed08120159d285e79737173aec3df94', // cardSign
		nonceStr: '5598190f-5fb3-4bff-8314-fd189ab4e4b8', // nonce
	};

	Wechat.chooseInvoiceFromWX(data,function(data){
		console.log(data);
	},function(){
		alert('error');
	});
  };
}
